Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class SimpleBean

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.SimpleBean

All Implemented Interfaces:
  org.apache.myfaces.orchestra.conversation.ConversationAware, SimpleInterface

    public class SimpleBean

extends java.lang.Object
implements SimpleInterface, org.apache.myfaces.orchestra.conversation.ConversationAware

Constructor Summary
`SimpleBean()`

Method Summary
`java.lang.Object` | `bindToCurrentConversation(java.lang.Object target)`
`void` | `callback(java.lang.Runnable callback)`
`void` | `doSomething()`
`int` | `getConversationAwareCount()`
`java.lang.String` | `getData()`
`SimpleBean` | `getThis()`
`SimpleBean` | `getThisRef()`
`SimpleBean[]` | `getThisRefHolder()`
`void` | `setConversation(org.apache.myfaces.orchestra.conversation.Conversation conversation)`
`void` | `setData(java.lang.String data)`
`void` | `transactionalMethod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBean

    public SimpleBean()

Method Detail

### getThis

    public SimpleBean getThis()

### getThisRef

    public SimpleBean getThisRef()

### getThisRefHolder

    public SimpleBean[] getThisRefHolder()

### getData

    public java.lang.String getData()

### setData

    public void setData(java.lang.String data)

### transactionalMethod

    public void transactionalMethod()

### setConversation

    public void setConversation(org.apache.myfaces.orchestra.conversation.Conversation conversation)

  Specified by:
    `setConversation` in interface `org.apache.myfaces.orchestra.conversation.ConversationAware`

### getConversationAwareCount

    public int getConversationAwareCount()

### doSomething

    public void doSomething()

  Specified by:
    `doSomething` in interface `SimpleInterface`

### callback

    public void callback(java.lang.Runnable callback)

### bindToCurrentConversation

    public java.lang.Object bindToCurrentConversation(java.lang.Object target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.